% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot.r
\name{gv.data.frame}
\alias{gv.data.frame}
\title{Generate Graphviz input text to plot a data frame}
\usage{
\method{gv}{data.frame}(x, name = NA_character_, ...)
}
\arguments{
\item{x}{a data.frame.}

\item{name}{a character scalar, giving the name of the record, if any. The
name must be non-empty, since it is also used to name the single table in
the plot. Defaults to \code{NA}: if left missing, it is set to "data".}

\item{...}{further arguments passed to or from other methods.}
}
\value{
A scalar character, containing text input for Graphviz.
}
\description{
Produces text input for Graphviz to make an HTML diagram of a given data
frame.
}
\details{
The rows in the plotted data frame include information about the attribute
classes.
}
\seealso{
The generic \code{\link{gv}}.
}
